classification
Title: Repetition of 'for example' in documentation
Type: Stage: resolved
Components: Documentation Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: DonnaDia, akuchling, docs@python, lukasz.langa, miss-islington, pablogsal, python-dev, rarblack, rhettinger
Priority: low Keywords: easy, patch

Created on 2018-09-26 05:23 by rarblack, last changed 2021-10-06 15:24 by lukasz.langa. This issue is now closed.

Files
File name Uploaded Description Edit
Functional Programming HOWTO — Python 3.7.0 documentation.png rarblack, 2018-09-26 05:23
Pull Requests
URL Status Linked Edit
PR 27989 merged python-dev, 2021-08-27 07:16
PR 28762 merged miss-islington, 2021-10-06 14:52
PR 28763 merged miss-islington, 2021-10-06 14:52
Messages (9)
msg326418 - (view) Author: Aydin (rarblack) * Date: 2018-09-26 05:23
In the documentation of Python 3.7.0 there is an error in the usage of the world 'for example'.
msg326463 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-09-26 12:55
Can you provide a link to the occurence of this repetition?

Thanks!
msg326464 - (view) Author: Aydin (rarblack) * Date: 2018-09-26 12:59
https://docs.python.org/3/howto/functional.html

In the 5th paragraph.
msg326762 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-10-01 03:49
Though stylistically odd, the repeated text is correct.  If Andrew feels like amending it, that would be nice; otherwise, I don't think it is worth the micro-edit.
msg400379 - (view) Author: Diana (DonnaDia) * Date: 2021-08-26 20:11
I will handle it. I will send a pull request within 3 days.
msg403305 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-06 14:52
New changeset 7af95a1e8097b2aab2cbe8de88727809e745b658 by DonnaDia in branch 'main':
bpo-34804: [doc] Rephrase section on side effects in functional.rst for clarity (GH-27989)
https://github.com/python/cpython/commit/7af95a1e8097b2aab2cbe8de88727809e745b658
msg403312 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-06 15:15
New changeset dcdeb96495fa105098544e2be7b74fa288589912 by Miss Islington (bot) in branch '3.10':
bpo-34804: [doc] Rephrase section on side effects in functional.rst for clarity (GH-27989) (GH-28762)
https://github.com/python/cpython/commit/dcdeb96495fa105098544e2be7b74fa288589912
msg403315 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-06 15:19
New changeset 496d1aa0b84466cc9b11f4f3b90cee93af1f393e by Miss Islington (bot) in branch '3.9':
bpo-34804: [doc] Rephrase section on side effects in functional.rst for clarity (GH-27989) (GH-28763)
https://github.com/python/cpython/commit/496d1aa0b84466cc9b11f4f3b90cee93af1f393e
msg403317 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-06 15:24
Thanks, Diana! ✨ 🍰 ✨
History
Date User Action Args
2021-10-06 15:24:18lukasz.langasetstatus: open -> closed
versions: + Python 3.9, Python 3.11
messages: + msg403317

resolution: fixed
stage: patch review -> resolved
2021-10-06 15:19:55lukasz.langasetmessages: + msg403315
2021-10-06 15:15:51lukasz.langasetmessages: + msg403312
2021-10-06 14:52:31miss-islingtonsetpull_requests: + pull_request27103
2021-10-06 14:52:26miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request27102
2021-10-06 14:52:04lukasz.langasetnosy: + lukasz.langa
messages: + msg403305
2021-08-27 07:16:09python-devsetkeywords: + patch
nosy: + python-dev

pull_requests: + pull_request26435
stage: patch review
2021-08-26 20:11:37DonnaDiasetnosy: + DonnaDia
messages: + msg400379
2021-01-10 19:53:22iritkatrielsetkeywords: + easy
versions: + Python 3.10, - Python 2.7, Python 3.4, Python 3.5, Python 3.6, Python 3.7, Python 3.8
2018-10-01 03:49:27rhettingersetpriority: normal -> low
nosy: + rhettinger
messages: + msg326762

2018-09-26 13:29:14rarblacksetversions: + Python 2.7, Python 3.4, Python 3.5, Python 3.6, Python 3.8
2018-09-26 13:25:08serhiy.storchakasetnosy: + akuchling
2018-09-26 12:59:04rarblacksetmessages: + msg326464
2018-09-26 12:55:59pablogsalsetnosy: + pablogsal
messages: + msg326463
2018-09-26 05:23:08rarblackcreate